<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8"/>
<style>body{background-color:white;}</style>
<script src="lib/htmlwidgets-1.5.4/htmlwidgets.js"></script>
<link href="lib/datatables-css-0.0.0/datatables-crosstalk.css" rel="stylesheet" />
<script src="lib/datatables-binding-0.20/datatables.js"></script>
<script src="lib/jquery-3.6.0/jquery-3.6.0.min.js"></script>
<link href="lib/dt-core-1.11.3/css/jquery.dataTables.min.css" rel="stylesheet" />
<link href="lib/dt-core-1.11.3/css/jquery.dataTables.extra.css" rel="stylesheet" />
<script src="lib/dt-core-1.11.3/js/jquery.dataTables.min.js"></script>
<link href="lib/crosstalk-1.2.0/css/crosstalk.min.css" rel="stylesheet" />
<script src="lib/crosstalk-1.2.0/js/crosstalk.min.js"></script>
<link href="lib/highlight.js-6.2/rstudio.css" rel="stylesheet" />
<script src="lib/highlight.js-6.2/highlight.pack.js"></script>
<meta name="viewport" content="width=device-width, initial-scale=1" />
<link href="lib/bootstrap-3.3.5/css/bootstrap.min.css" rel="stylesheet" />
<link href="lib/bootstrap-3.3.5/css/bootstrap-theme.min.css" rel="stylesheet" />
<script src="lib/bootstrap-3.3.5/js/bootstrap.min.js"></script>
<script src="lib/bootstrap-3.3.5/shim/html5shiv.min.js"></script>
<script src="lib/bootstrap-3.3.5/shim/respond.min.js"></script>

</head>
<body>
<div class="container-fluid">
  <style type="text/css">table tr:hover td {
  font-weight:bold;text-decoration:none
}
table tr.covered td{
  background-color:rgba(95,151,68,0.3)
}

table tr:hover.covered .num{
  background-color:rgba(95,151,68,0.7)
}
table tr.missed td{
  background-color:rgba(185,73,71,0.3)
}
table tr:hover.missed .num{
  background-color:rgba(185,73,71,0.7)
}

table tr.missed:hover td{
  -webkit-box-shadow:0 -2px 0 0 #b94947 inset;
  -moz-box-shadow:0 -2px 0 0 #b94947 inset;
  box-shadow:0 -2px 0 0 #b94947 inset
}
table tr.covered:hover td{
  -webkit-box-shadow:0 -2px 0 0 #5f9744 inset;
  -moz-box-shadow:0 -2px 0 0 #5f9744 inset;
  box-shadow:0 -2px 0 0 #5f9744 inset
}

table tr.never td{
  background-color:transparent
}

table tbody {
  border-style: solid;
  border: 1px solid rgba(0,0,0,0.1)
}

table .num {
  border-right: 1px solid rgba(0,0,0,0.1)
}

td.coverage em {
  opacity: 0.5;
}

table td.coverage {
  border-right: 1px solid rgba(0,0,0,0.1);
  font-weight: bold;
  text-align: center;
}
table.table-condensed pre {
  background-color: transparent;
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 11px;
}
div#files td {
  padding: 0;
  padding-left: 5px;
}

div#files td.num {
  padding-right: 5px;
}

table.table-condensed {
  font-size: 11px;
}</style>
  <div class="col-md-8 col-md-offset-2">
    <h2>titanicSurvival coverage - 100.00%</h2>
    <div class="tabbable">
      <ul class="nav nav-tabs" data-tabsetid="covr">
        <li class="active">
          <a href="#tab-covr-1" data-toggle="tab" data-value="Files">Files</a>
        </li>
        <li>
          <a href="#tab-covr-2" data-toggle="tab" data-value="Source">Source</a>
        </li>
      </ul>
      <div class="tab-content" data-tabsetid="covr">
        <div class="tab-pane active" title="Files" data-value="Files" id="tab-covr-1">
          <div id="htmlwidget-26a90fcf722337d9d9da" style="width:100%;height:500px;" class="datatables html-widget"></div>
          <script type="application/json" data-for="htmlwidget-26a90fcf722337d9d9da">{"x":{"filter":"none","vertical":false,"fillContainer":true,"data":[["<a href=\"#\">R/fun-unify_format.R<\/a>","<a href=\"#\">R/fun-standardize_colnames.R<\/a>"],[61,23],[35,11],[35,11],[0,0],["5","3"],["100.00%","100.00%"]],"container":"<table class=\"row-border fill-container\">\n  <thead>\n    <tr>\n      <th>File<\/th>\n      <th>Lines<\/th>\n      <th>Relevant<\/th>\n      <th>Covered<\/th>\n      <th>Missed<\/th>\n      <th>Hits / Line<\/th>\n      <th>Coverage<\/th>\n    <\/tr>\n  <\/thead>\n<\/table>","options":{"searching":false,"dom":"t","paging":false,"columnDefs":[{"targets":6,"createdCell":"function(td, cellData, rowData, row, col) {\n  var percent = cellData.replace(\"%\", \"\");\n  if (percent > 90) {\n    var grad = \"linear-gradient(90deg, #edfde7 \" + cellData + \", white \" + cellData + \")\";\n  } else if (percent > 75) {\n    var grad = \"linear-gradient(90deg, #f9ffe5 \" + cellData + \", white \" + cellData + \")\";\n  } else {\n    var grad = \"linear-gradient(90deg, #fcece9 \" + cellData + \", white \" + cellData + \")\";\n  }\n  $(td).css(\"background\", grad);\n}\n"},{"className":"dt-right","targets":[1,2,3,4]}],"order":[],"autoWidth":false,"orderClasses":false},"callback":"function(table) {\ntable.on('click.dt', 'a', function() {\n  files = $('div#files div');\n  files.not('div.hidden').addClass('hidden');\n  id = $(this).text();\n  files.filter('div[id=\\'' + id + '\\']').removeClass('hidden');\n  $('ul.nav a[data-value=Source]').text(id).tab('show');\n});\n}"},"evals":["options.columnDefs.0.createdCell","callback"],"jsHooks":[]}</script>
        </div>
        <div class="tab-pane" title="Source" data-value="Source" id="tab-covr-2">
          <div id="files">
            <div id="R/fun-unify_format.R" class="hidden">
              <table class="table-condensed">
                <tbody>
                  <tr class="never">
                    <td class="num">1</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' Unify the format of data</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">2</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#'</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">3</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' @param raw_data unformated data frame from excel</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">4</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' @import magrittr</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">5</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' @import dplyr</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">6</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' @return formated data frame</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">7</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' @export</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">8</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">9</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">unify_format &lt;- function(raw_data) {</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">10</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  stopifnot(!missing(raw_data))</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">11</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  stopifnot(raw_data %&gt;% is.data.frame())</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">12</td>
                    <td class="coverage">2<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  data_out &lt;- raw_data %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">13</td>
                    <td class="coverage">2<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::filter(!is.na(cabin)) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">14</td>
                    <td class="coverage">2<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    unify_cabin() %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">15</td>
                    <td class="coverage">2<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    add_deck_col()</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">16</td>
                    <td class="coverage">2<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  return(data_out)</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">17</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">}</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">18</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">19</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">20</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">21</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">unify_cabin &lt;- function(raw_data) {</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">22</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  stopifnot("cabin" %in% colnames(raw_data))</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">23</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  deck_col &lt;- raw_data %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">24</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::select("cabin") %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">25</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    apply(X = ., MARGIN = 1, FUN = cabin_to_deck)</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">26</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  data_out &lt;- raw_data %&gt;% dplyr::mutate(deck = factor(deck_col))</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">27</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  return(data_out)</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">28</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">}</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">29</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">30</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">31</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">32</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">cabin_to_deck &lt;- function(cabine_name) {</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">33</td>
                    <td class="coverage">15<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  stopifnot(!missing(cabine_name))</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">34</td>
                    <td class="coverage">14<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  stopifnot(cabine_name %&gt;% is.character())</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">35</td>
                    <td class="coverage">12<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  deck_name &lt;- cabine_name %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">36</td>
                    <td class="coverage">12<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    strsplit(split = "") %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">37</td>
                    <td class="coverage">12<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    unlist() %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">38</td>
                    <td class="coverage">12<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    .[1]</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">39</td>
                    <td class="coverage">12<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  return(deck_name)</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">40</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">}</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">41</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">42</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">unify_logical &lt;- function(data_in) {</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">43</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  stopifnot(!missing(data_in))</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">44</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  stopifnot("survived" %in% colnames(data_in))</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">45</td>
                    <td class="coverage">1<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  data_out &lt;- data_in %&gt;% dplyr::mutate(survived = factor(survived))</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">46</td>
                    <td class="coverage">1<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  return(data_out)</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">47</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">}</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">48</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">49</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">add_deck_col &lt;- function(data_in) {</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">50</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  stopifnot("deck" %in% colnames(data_in))</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">51</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  data_out &lt;- data_in %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">52</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::mutate(deck_A = (.data[["deck"]] == "A")) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">53</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::mutate(deck_B = (.data[["deck"]] == "B")) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">54</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::mutate(deck_C = (.data[["deck"]] == "C")) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">55</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::mutate(deck_D = (.data[["deck"]] == "D")) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">56</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::mutate(deck_E = (.data[["deck"]] == "E")) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">57</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::mutate(deck_F = (.data[["deck"]] == "F")) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">58</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::mutate(deck_G = (.data[["deck"]] == "G")) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">59</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::mutate(deck_T = (.data[["deck"]] == "T"))</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">60</td>
                    <td class="coverage">3<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  return(data_out)</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">61</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">}</pre>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
            <div id="R/fun-standardize_colnames.R" class="hidden">
              <table class="table-condensed">
                <tbody>
                  <tr class="never">
                    <td class="num">1</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' creates desired colnames</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">2</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#'</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">3</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' @param data_in raw titanic dataset</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">4</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#'</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">5</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' @return dataset with desired columnnames</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">6</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">#' @export</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">7</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">standardize_colnames &lt;- function(data_in) {</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">8</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">9</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  old_names &lt;- c("id" = "PassengerId",</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">10</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">                "class" = "Pclass")</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">11</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  delete_names &lt;- c("Name",</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">12</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">                   "Parch",</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">13</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">                   "Ticket")</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">14</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">15</td>
                    <td class="coverage">4<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  stopifnot(sample(delete_names) %in% colnames(data_in))</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">16</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">17</td>
                    <td class="coverage">1<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  data_out &lt;- data_in %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">18</td>
                    <td class="coverage">1<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::rename(old_names) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">19</td>
                    <td class="coverage">1<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::select(-delete_names) %&gt;%</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">20</td>
                    <td class="coverage">1<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">    dplyr::rename_all(tolower)</pre>
                    </td>
                  </tr>
                  <tr class="covered">
                    <td class="num">21</td>
                    <td class="coverage">1<em>x</em></td>
                    <td class="col-sm-12">
                      <pre class="language-r">  return(data_out)</pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">22</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r"></pre>
                    </td>
                  </tr>
                  <tr class="never">
                    <td class="num">23</td>
                    <td class="coverage"></td>
                    <td class="col-sm-12">
                      <pre class="language-r">}</pre>
                    </td>
                  </tr>
                </tbody>
              </table>
            </div>
            <script>$('div#files pre').each(function(i, block) {
    hljs.highlightBlock(block);
});</script>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
</body>
</html>
